"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const redis_smq_1 = require("redis-smq");
const supertest_1 = __importDefault(require("supertest"));
const vitest_1 = require("vitest");
const config_js_1 = require("../../../../tests/common/config.js");
(0, vitest_1.describe)('publishMessageController', () => {
    (0, vitest_1.it)('HTTP 201 Created', () => __awaiter(void 0, void 0, void 0, function* () {
        var _a, _b, _c, _d;
        const request = (0, supertest_1.default)(`http://127.0.0.1:${(_a = config_js_1.config.apiServer) === null || _a === void 0 ? void 0 : _a.port}`);
        const requestBody1 = {
            queue: {
                ns: 'my-app1',
                name: 'my-queue',
            },
            queueDeliveryModel: redis_smq_1.EQueueDeliveryModel.POINT_TO_POINT,
            queueType: redis_smq_1.EQueueType.LIFO_QUEUE,
        };
        yield request.post('/api/v1/queues').send(requestBody1);
        const requestBody2 = {
            message: {
                body: 'hello world',
            },
            exchange: { queue: requestBody1.queue },
        };
        const response = yield request.post('/api/v1/messages').send(requestBody2);
        (0, vitest_1.expect)(response.status).toEqual(201);
        (0, vitest_1.expect)((_c = (_b = response.body) === null || _b === void 0 ? void 0 : _b.data) === null || _c === void 0 ? void 0 : _c.length).toEqual(1);
        (0, vitest_1.expect)(typeof (((_d = response.body) === null || _d === void 0 ? void 0 : _d.data) || [])[0]).toEqual('string');
    }));
});
//# sourceMappingURL=publishMessageController.test.js.map