"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const supertest_1 = __importDefault(require("supertest"));
const vitest_1 = require("vitest");
const config_js_1 = require("../../../../tests/common/config.js");
const create_queue_js_1 = require("../../../../tests/common/create-queue.js");
const publish_and_dead_letter_message_js_1 = require("../../../../tests/common/publish-and-dead-letter-message.js");
(0, vitest_1.describe)('purgeQueueDeadLetteredMessagesController', () => {
    (0, vitest_1.it)('HTTP 204 No Content', () => __awaiter(void 0, void 0, void 0, function* () {
        var _a;
        const { queue } = yield (0, create_queue_js_1.createQueue)('my-queue');
        yield (0, publish_and_dead_letter_message_js_1.publishAndDeadLetterMessage)(queue);
        yield (0, publish_and_dead_letter_message_js_1.publishAndDeadLetterMessage)(queue);
        const request = (0, supertest_1.default)(`http://127.0.0.1:${(_a = config_js_1.config.apiServer) === null || _a === void 0 ? void 0 : _a.port}`);
        const response1 = yield request.delete(`/api/v1/namespaces/${queue.ns}/queues/${queue.name}/dead-lettered-messages`);
        (0, vitest_1.expect)(response1.status).toEqual(204);
        (0, vitest_1.expect)(response1.body).toEqual({});
    }));
});
//# sourceMappingURL=purgeQueueDeadLetteredMessagesController.test.js.map