"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const redis_smq_1 = require("redis-smq");
const supertest_1 = __importDefault(require("supertest"));
const vitest_1 = require("vitest");
const config_js_1 = require("../../../../tests/common/config.js");
(0, vitest_1.describe)('createQueueController', () => {
    (0, vitest_1.it)('HTTP 201 Created', () => __awaiter(void 0, void 0, void 0, function* () {
        var _a;
        const request = (0, supertest_1.default)(`http://127.0.0.1:${(_a = config_js_1.config.apiServer) === null || _a === void 0 ? void 0 : _a.port}`);
        const requestBody = {
            queue: {
                ns: 'my-app',
                name: 'my-queue',
            },
            queueDeliveryModel: redis_smq_1.EQueueDeliveryModel.POINT_TO_POINT,
            queueType: redis_smq_1.EQueueType.LIFO_QUEUE,
        };
        const response1 = yield request
            .post('/api/v1/queues')
            .send(requestBody);
        (0, vitest_1.expect)(response1.status).toEqual(201);
        (0, vitest_1.expect)(response1.body).toEqual({
            data: {
                queue: requestBody.queue,
                properties: {
                    deliveryModel: redis_smq_1.EQueueDeliveryModel.POINT_TO_POINT,
                    queueType: redis_smq_1.EQueueType.LIFO_QUEUE,
                    rateLimit: null,
                    exchange: null,
                    messagesCount: 0,
                },
            },
        });
        const response2 = yield request.get('/api/v1/queues');
        (0, vitest_1.expect)(response2.status).toEqual(200);
        (0, vitest_1.expect)(response2.body).toEqual({ data: [requestBody.queue] });
    }));
});
//# sourceMappingURL=createQueueController.test.js.map