"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueueMessagesService = void 0;
const bluebird_1 = __importDefault(require("bluebird"));
const { promisifyAll } = bluebird_1.default;
class QueueMessagesService {
    constructor(queueMessages) {
        this.queueMessages = promisifyAll(queueMessages);
    }
    getMessages(queueParams, cursor, pageSize) {
        return this.queueMessages.getMessagesAsync(queueParams, cursor, pageSize);
    }
    countMessagesAsync(queueParams) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.queueMessages.countMessagesAsync(queueParams);
        });
    }
    purge(queueParams) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.queueMessages.purgeAsync(queueParams);
        });
    }
    countMessagesByStatus(queueParams) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.queueMessages.countMessagesByStatusAsync(queueParams);
        });
    }
}
exports.QueueMessagesService = QueueMessagesService;
//# sourceMappingURL=QueueMessagesService.js.map