"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseRoutingMap = parseRoutingMap;
const path = __importStar(require("path/posix"));
const resourcePath = [];
const resourceTags = [];
function isResourceDescription(c) {
    return !!c && typeof c === 'object' && Object.keys(c).includes('handler');
}
function getResourceControllerParams(controller) {
    const controllerName = controller.name;
    const controllerRoutePath = path.resolve(...resourcePath);
    return {
        controllerRoutePath,
        controllerName,
        controller,
    };
}
function getResourceTags() {
    return resourceTags.filter((i) => i.length).at(-1);
}
function parseRoutingMap(routingMap, fn) {
    return __awaiter(this, void 0, void 0, function* () {
        if (routingMap instanceof Array) {
            for (const item of routingMap) {
                yield parseRoutingMap(item, fn);
            }
        }
        else {
            if (isResourceDescription(routingMap)) {
                const { handler, description, method, payload } = routingMap;
                const { controller, controllerName, controllerRoutePath } = getResourceControllerParams(handler);
                const tags = getResourceTags();
                yield fn(controller, controllerName, method, payload, controllerRoutePath, description, tags);
            }
            else {
                const { path, tags = [], resource } = routingMap;
                resourcePath.push(path);
                resourceTags.push(tags);
                yield parseRoutingMap(resource, fn);
                resourcePath.pop();
                resourceTags.pop();
            }
        }
    });
}
//# sourceMappingURL=parser.js.map