import KoaRouter from '@koa/router';
import { IApplicationMiddlewareContext, IApplicationMiddlewareState } from '../../application/types/index.js';
import { EControllerRequestMethod, EControllerRequestPayload, TControllerRequestHandlerGeneric } from '../../controller/types/index.js';
export type TRouter = KoaRouter<IApplicationMiddlewareState, IApplicationMiddlewareContext>;
export interface IRouterResourceDescription {
    handler: TControllerRequestHandlerGeneric;
    description?: string;
    method: EControllerRequestMethod;
    payload: EControllerRequestPayload[];
}
export type TRouterResource = IRouterResourceDescription | (TRouterResourceMap | IRouterResourceDescription)[];
export type TRouterResourceMap = {
    path: string;
    tags?: string[];
    resource: TRouterResource;
};
//# sourceMappingURL=index.d.ts.map