import { EQueueDeliveryModel, EQueueType } from 'redis-smq';
import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { config } from '../../../../tests/common/config.js';
import { createQueue } from '../../../../tests/common/create-queue.js';
import { saveConsumerGroup } from '../../../../tests/common/save-consumer-group.js';
describe('getConsumerGroupsController', () => {
    it('HTTP 200 OK', async () => {
        const { queue } = await createQueue('q1', EQueueType.LIFO_QUEUE, EQueueDeliveryModel.PUB_SUB);
        const consumerGroup1 = await saveConsumerGroup(queue, 'my-app-group1');
        const consumerGroup2 = await saveConsumerGroup(queue, 'my-app-group2');
        const request = supertest(`http://127.0.0.1:${config.apiServer?.port}`);
        const response1 = await request.get(`/api/v1/namespaces/${queue.ns}/queues/${queue.name}/consumer-groups`);
        expect(response1.status).toEqual(200);
        expect(response1.body?.data?.sort()).toEqual([consumerGroup1, consumerGroup2].sort());
    });
});
//# sourceMappingURL=getConsumerGroupsController.test.js.map