import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { config } from '../../../../tests/common/config.js';
import { createQueue } from '../../../../tests/common/create-queue.js';
import { publishAndDeadLetterMessage } from '../../../../tests/common/publish-and-dead-letter-message.js';
import { publishMessage } from '../../../../tests/common/publish-message.js';
describe('countQueuePendingMessagesController', () => {
    it('HTTP 200 OK', async () => {
        const { queue } = await createQueue('q1');
        await publishAndDeadLetterMessage(queue);
        await publishMessage(queue);
        const request = supertest(`http://127.0.0.1:${config.apiServer?.port}`);
        const response1 = await request.get(`/api/v1/namespaces/${queue.ns}/queues/${queue.name}/total-messages/pending`);
        expect(response1.status).toEqual(200);
        expect(response1.body?.data).toEqual(1);
    });
});
//# sourceMappingURL=countQueuePendingMessagesController.test.js.map