import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { config } from '../../../../tests/common/config.js';
import { createQueue } from '../../../../tests/common/create-queue.js';
import { setRateLimit } from '../../../../tests/common/set-rate-limit.js';
describe('clearQueueRateLimitController', () => {
    it('HTTP 204 No Content', async () => {
        const { queue } = await createQueue('my-queue');
        await setRateLimit(queue, { limit: 8, interval: 60000 });
        const request = supertest(`http://127.0.0.1:${config.apiServer?.port}`);
        const response1 = await request.delete(`/api/v1/namespaces/${queue.ns}/queues/${queue.name}/rate-limit`);
        expect(response1.status).toEqual(204);
        expect(response1.body).toEqual({});
        const response2 = await request.get(`/api/v1/namespaces/${queue.ns}/queues/${queue.name}/rate-limit`);
        expect(response2.status).toEqual(200);
        expect(response2.body?.data).toEqual(null);
    });
});
//# sourceMappingURL=clearQueueRateLimitController.test.js.map