import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { config } from '../../../../tests/common/config.js';
import { createQueue } from '../../../../tests/common/create-queue.js';
describe('setQueueRateLimitController', () => {
    it('HTTP 200 OK', async () => {
        const { queue } = await createQueue('my-queue');
        const rateLimit = { limit: 8, interval: 60000 };
        const request = supertest(`http://127.0.0.1:${config.apiServer?.port}`);
        const response1 = await request
            .put(`/api/v1/namespaces/${queue.ns}/queues/${queue.name}/rate-limit`)
            .send(rateLimit);
        expect(response1.status).toEqual(200);
        expect(response1.body?.data).toEqual(rateLimit);
        const response2 = await request.get(`/api/v1/namespaces/${queue.ns}/queues/${queue.name}/rate-limit`);
        expect(response2.status).toEqual(200);
        expect(response2.body?.data).toEqual(rateLimit);
    });
});
//# sourceMappingURL=setQueueRateLimitController.test.js.map