import bluebird from 'bluebird';
const { promisifyAll } = bluebird;
export class QueuesService {
    queue;
    constructor(queue) {
        this.queue = promisifyAll(queue);
    }
    async createQueue(queueParams, queueType, queueDeliveryModel) {
        return this.queue.saveAsync(queueParams, queueType, queueDeliveryModel);
    }
    async exists(queueParams) {
        return this.queue.existsAsync(queueParams);
    }
    async getProperties(queueParams) {
        return this.queue.getPropertiesAsync(queueParams);
    }
    async delete(queueParams) {
        return this.queue.deleteAsync(queueParams);
    }
    async getQueues() {
        return this.queue.getQueuesAsync();
    }
}
//# sourceMappingURL=QueuesService.js.map