import { TApplicationMiddleware } from '../../application/types/index.js';
type TControllerResponseData = object | number | string | boolean | null | undefined;
export interface IControllerResponseNoDataDTO {
    status: 204;
    body: null;
}
export interface IControllerResponseDTO<Status extends number, T extends TControllerResponseData> {
    status: Status;
    body: IControllerResponseBodyDTO<T>;
}
export type IControllerResponseBodyDTO<T> = {
    data: T;
};
export type IControllerErrorResponseBodyDTO<Status extends number, Message extends string> = {
    error: {
        code: Status;
        message: Message;
        details: object;
    };
};
export interface IControllerResponseErrorDTO<Status extends number, Message extends string> {
    status: Status;
    body: IControllerErrorResponseBodyDTO<Status, Message>;
}
export declare enum EControllerRequestPayload {
    PATH = 0,
    QUERY = 1,
    BODY = 2
}
export declare enum EControllerRequestMethod {
    GET = "get",
    POST = "post",
    PUT = "put",
    DELETE = "delete"
}
export type TControllerRequestHandler<RequestPathDTO, RequestQueryDTO, RequestBodyDTO, ResponseDTO extends readonly [number, unknown]> = (...args: Parameters<TApplicationMiddleware<RequestPathDTO, RequestQueryDTO, RequestBodyDTO>>) => Promise<ResponseDTO>;
export type TControllerRequestHandlerGeneric = TControllerRequestHandler<any, any, any, readonly [number, unknown]>;
export type TControllerRequestPayloadEmpty = Record<string, never>;
export {};
//# sourceMappingURL=index.d.ts.map